Loading...
Searching...
No Matches
BALL::AmberFF::Default Struct Reference

`#include <BALL/MOLMEC/AMBER/amber.h>`

## Static Public Attributes

static const char * | FILENAME
static const float | NONBONDED_CUTOFF
static const float | VDW_CUTOFF
static const float | VDW_CUTON
static const float | ELECTROSTATIC_CUTOFF
static const float | ELECTROSTATIC_CUTON
static const float | SCALING_ELECTROSTATIC_1_4
static const float | SCALING_VDW_1_4
static const bool | DISTANCE_DEPENDENT_DIELECTRIC
static const bool | ASSIGN_CHARGES
static const bool | ASSIGN_TYPENAMES
static const bool | ASSIGN_TYPES
static const bool | OVERWRITE_CHARGES
static const bool | OVERWRITE_TYPENAMES

## Detailed Description

Default values for AMBER options.

Definition at line 105 of file amber.h.

## Member Data Documentation

## ASSIGN_CHARGES

const bool BALL::AmberFF::Default::ASSIGN_CHARGES

static

automatically assign charges to the system (during setup)

Definition at line 147 of file amber.h.

## ASSIGN_TYPENAMES

const bool BALL::AmberFF::Default::ASSIGN_TYPENAMES

static

automatically assign type names to the system (during setup)

Definition at line 151 of file amber.h.

## ASSIGN_TYPES

const bool BALL::AmberFF::Default::ASSIGN_TYPES

static

automatically assign types to the system's atoms (during setup)

Definition at line 155 of file amber.h.

## DISTANCE_DEPENDENT_DIELECTRIC

const bool BALL::AmberFF::Default::DISTANCE_DEPENDENT_DIELECTRIC

static

Use of distance dependent dielectric constant. default: false

Definition at line 143 of file amber.h.

## ELECTROSTATIC_CUTOFF

const float BALL::AmberFF::Default::ELECTROSTATIC_CUTOFF

static

Default electrostatic cutoff of 15.0 .

Definition at line 125 of file amber.h.

## ELECTROSTATIC_CUTON

const float BALL::AmberFF::Default::ELECTROSTATIC_CUTON

static

Default electrostatic cuton of 13.0 .

Definition at line 129 of file amber.h.

## FILENAME

const char* BALL::AmberFF::Default::FILENAME

static

Default filename for the parameter file (

See also
  Option::FILENAME).

Definition at line 109 of file amber.h.

## NONBONDED_CUTOFF

const float BALL::AmberFF::Default::NONBONDED_CUTOFF

static

Default non bonded cutoff of 20.0 .

Definition at line 113 of file amber.h.

## OVERWRITE_CHARGES

const bool BALL::AmberFF::Default::OVERWRITE_CHARGES

static

during charge assignment, overwrite even non-zero charges

Definition at line 159 of file amber.h.

## OVERWRITE_TYPENAMES

const bool BALL::AmberFF::Default::OVERWRITE_TYPENAMES

static

during charge assignment, overwrite even non-empty type names

Definition at line 163 of file amber.h.

## SCALING_ELECTROSTATIC_1_4

const float BALL::AmberFF::Default::SCALING_ELECTROSTATIC_1_4

static

Default electrosstatic scaling factor for 1-4 interaction. The default is 2.0.

Definition at line 134 of file amber.h.

## SCALING_VDW_1_4

const float BALL::AmberFF::Default::SCALING_VDW_1_4

static

Vdw scaling factor for 1-4 interaction

Definition at line 138 of file amber.h.

## VDW_CUTOFF

const float BALL::AmberFF::Default::VDW_CUTOFF

static

Default van der Waals cutoff of 15.0 .

Definition at line 117 of file amber.h.

## VDW_CUTON

const float BALL::AmberFF::Default::VDW_CUTON

static

Default van der Waals cuton of 13.0 .

Definition at line 121 of file amber.h.